import { BaseCustomWebComponentConstructorAppend } from '@node-projects/base-custom-webcomponent';
import { InstanceServiceContainer } from '../../services/InstanceServiceContainer.js';
import { IDesignItem } from '../../item/IDesignItem.js';
import { IRefactoring } from '../../services/refactorService/IRefactoring.js';
export declare class RefactorView extends BaseCustomWebComponentConstructorAppend {
    static readonly template: HTMLTemplateElement;
    static readonly style: CSSStyleSheet;
    static readonly is = "node-projects-refactor-view";
    static readonly properties: {};
    private _instanceServiceContainer;
    private _selectionChangedHandler;
    private _selectedItems;
    searchText: string;
    replaceText: string;
    refactorings: Map<string, IRefactoring[]>;
    ready(): void;
    set instanceServiceContainer(value: InstanceServiceContainer);
    get selectedItems(): IDesignItem[];
    set selectedItems(items: IDesignItem[]);
    replace(): void;
    _refactor(refactoring: [string, IRefactoring[]], event: KeyboardEvent): void;
    applyRefactoring(refactoring: [string, IRefactoring[]], newValue: string): void;
    updateRefactorlist(designItems: IDesignItem[]): void;
}
